Skip to main content
`Ctrl`+`K`

# BVSetFromOptions

Sets `BV` options from the options database.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetFromOptions(BV bv)

Collective

## Input Parameter

- bv - the basis vectors context

## Note

To see all options, run your program with the `-help` option.

## See Also

BV: Basis Vectors, `BVSetOptionsPrefix()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVSetFromOptions_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages